View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
09803Bug reportsImport/Exportpublic2015-08-12 12:51
Reporterearcanal Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Fixed in Version2.06+ 
Summary09803: When importing token data from CSV file the reminder date is ignored
DescriptionThis looks identical to 08899 but for the reminder field, rather than the invitation field.
Steps To ReproduceImport attached tokens CSV file.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)150211
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionUnknown
Server OS (if known)Unknown
Webserver software & version (if known)Unknown
PHP VersionUnknown

Relationships

child of 09804 new Development  Importb token by CSV is not done 

Users monitoring this issue

User List earcanal

Activities

earcanal

earcanal

2015-07-31 11:44

reporter  

tokens_reminded_import_bug.csv (2,982 bytes)   
tid,firstname,lastname,email,emailstatus,token,language,validfrom,validuntil,invited,reminded,remindercount,completed,usesleft, attribute_1 <goal>, attribute_2 <session>, attribute_3 <payment>, attribute_4 <participant>
423,Foo,Foo,foo@foo.org,OK,8tf2thyiezbq9rp,en,,,Y,2015-07-08 23:28,1,Y,0,foo,1,0,8
424,Foo,Foo,foo@foo.org,OK,as5hvkp8q3dddm6,en,,,Y,2015-07-09 23:32,1,Y,0,foo,2,0,8
425,Foo,Foo,foo@foo.org,OK,j38ssuxzmk6kvw8,en,,,Y,2015-07-10 23:03,1,Y,0,foo,3,0,8
426,Foo,Foo,foo@foo.org,OK,njakipzqtunq8xx,en,,,Y,2015-07-11 23:35,1,Y,0,foo,4,0,8
427,Foo,Foo,foo@foo.org,OK,tx4agks9e2678vb,en,,,Y,2015-07-12 23:39,1,Y,0,foo,5,0,8
428,Foo,Foo,foo@foo.org,OK,znfte5s9zmqcnz4,en,,,Y,2015-07-13 23:32,1,Y,0,foo,6,0,8
429,Foo,Foo,foo@foo.org,OK,vcpa8fc6rcgizcr,en,,,Y,2015-07-14 23:14,1,Y,0,foo,7,0,8
430,Foo,Foo,foo@foo.org,OK,vm2z4wrgsvmuxgb,en,,,Y,2015-07-15 23:41,1,Y,0,foo,8,0,8
431,Foo,Foo,foo@foo.org,OK,f2qnrxg5cbpu7xi,en,,,Y,2015-07-16 23:31,1,Y,0,foo,9,0,8
432,Foo,Foo,foo@foo.org,OK,zs8mq6xsh9dd8jh,en,,,Y,2015-07-17 23:22,1,Y,0,foo,10,0,8
433,Foo,Foo,foo@foo.org,OK,64pagthvdytbweg,en,,,Y,2015-07-18 23:55,1,Y,0,foo,11,0,8
434,Foo,Foo,foo@foo.org,OK,vgy5pn23j3feefn,en,,,Y,2015-07-20 01:15,1,Y,0,foo,12,0,8
435,Foo,Foo,foo@foo.org,OK,p8k7ij49qem4mw3,en,,,Y,2015-07-20 23:30,1,Y,0,foo,13,0,8
436,Foo,Foo,foo@foo.org,OK,yhtxy72324jschx,en,,,Y,2015-07-21 23:46,1,Y,0,foo,14,0,8
437,Foo,Foo,foo@foo.org,OK,qda87w2phx9v5ma,en,,,Y,2015-07-23 00:28,1,Y,0,foo,15,0,8
438,Foo,Foo,foo@foo.org,OK,di2cqhssrhq5fa2,en,,,Y,2015-07-24 00:37,1,Y,0,foo,16,0,8
439,Foo,Foo,foo@foo.org,OK,pg3348n29ipbm5p,en,,,Y,2015-07-25 01:10,1,Y,0,foo,17,0,8
440,Foo,Foo,foo@foo.org,OK,t9mrqafih2yrvye,en,,,Y,2015-07-26 00:04,1,Y,0,foo,18,0,8
441,Foo,Foo,foo@foo.org,OK,7zjkc7vhzjyi5tf,en,,,Y,2015-07-27 00:16,1,Y,0,foo,19,0,8
442,Foo,Foo,foo@foo.org,OK,afazfy7222mqeaa,en,,,Y,2015-07-27 23:32,1,Y,0,foo,20,0,8
443,Foo,Foo,foo@foo.org,OK,p26jfz6ikrj43j7,en,,,Y,2015-07-28 23:36,1,Y,0,foo,21,0,8
444,Foo,Foo,foo@foo.org,OK,5uny3b2j5i3c9rc,en,,,Y,2015-07-29 23:48,1,Y,0,foo,22,0,8
445,Foo,Foo,foo@foo.org,OK,7xitfwnwvr3imum,en,,,Y,2015-07-30 23:34,1,Y,0,foo,23,0,8
446,Foo,Foo,foo@foo.org,OK,n3ygwr6wk6j7wq8,en,,,Y,N,0,N,1,foo,24,0,8
447,Foo,Foo,foo@foo.org,OK,x9m2w34r86ivv5c,en,,,Y,N,0,N,1,foo,25,10,8
448,Foo,Foo,foo@foo.org,OK,x96pbapiyiggaun,en,,,Y,N,0,N,1,foo,26,11,8
449,Foo,Foo,foo@foo.org,OK,q697j32dwa27smz,en,,,Y,N,0,N,1,foo,27,12,8
450,Foo,Foo,foo@foo.org,OK,ykw9dk8wqkvai6e,en,,,Y,N,0,N,1,foo,28,13,8
451,Foo,Foo,foo@foo.org,OK,yauerk7pnmxn63v,en,,,Y,N,0,N,1,foo,29,14,8
452,Foo,Foo,foo@foo.org,OK,hk9kg2wkjfvpwka,en,,,Y,N,0,N,1,foo,30,15,8
453,Foo,Foo,foo@foo.org,OK,2zyzgkgqps8c47w,en,,,Y,N,0,N,1,foo,31,16,8
454,Foo,Foo,foo@foo.org,OK,a45gzxptxnhyqz9,en,,,Y,N,0,N,1,foo,32,17,8
455,Foo,Foo,foo@foo.org,OK,4x3jh22guziwtn5,en,,,Y,N,0,N,1,foo,33,18,8
456,Foo,Foo,foo@foo.org,OK,rjgc3gks2v2q4vu,en,,,Y,N,0,N,1,foo,34,19,8
457,Foo,Foo,foo@foo.org,OK,7cwu7ppt79dr75r,en,,,Y,N,0,N,1,foo,35,20,8
tokens_reminded_import_bug.csv (2,982 bytes)   
DenisChenu

DenisChenu

2015-07-31 12:10

developer   ~32853

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15677
c_schmitz

c_schmitz

2015-08-12 12:51

administrator   ~32918

Version 2.06+ Build 150812 released

Related Changesets

LimeSurvey: master b9754d41

2015-07-31 10:10:46

DenisChenu

Details Diff
Fixed issue 09803: When importing token data from CSV file the reminder date is ignored
Dev: in $aReplacedFields ...
Affected Issues
09803
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2015-07-31 11:44 earcanal New Issue
2015-07-31 11:44 earcanal File Added: tokens_reminded_import_bug.csv
2015-07-31 11:46 earcanal Issue Monitored: earcanal
2015-07-31 11:51 DenisChenu Assigned To => DenisChenu
2015-07-31 11:51 DenisChenu Status new => assigned
2015-07-31 12:10 DenisChenu Changeset attached => LimeSurvey master b9754d41
2015-07-31 12:10 DenisChenu Note Added: 32853
2015-07-31 12:10 DenisChenu Resolution open => fixed
2015-07-31 12:19 DenisChenu Status assigned => resolved
2015-07-31 12:19 DenisChenu Fixed in Version => 2.06+
2015-07-31 12:22 DenisChenu Relationship added child of 09804
2015-08-12 12:51 c_schmitz Note Added: 32918
2015-08-12 12:51 c_schmitz Status resolved => closed
2021-08-02 17:22 guest Bug heat 4 => 6